## view.element
Class ListTable

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Table
                      view.element.ListTable

Direct Known Subclasses:
  AdminPage.TournamentTable, EditTournamentPage.DiscountTable, RegistrationPage.EntryTable, StatisticsPage.DiscountTable, StatisticsPage.EntryTable

    public class ListTable

extends Table

Field Summary
`private Tr` `header`

Constructor Summary
`ListTable()` Constructs the element.

Method Summary
`Tr` `getHeader()` Returns the header row of the table.

Methods inherited from class view.xhtml.Table
`addTr`

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### header

    private transient Tr header

Constructor Detail

### ListTable

    public ListTable()

  Constructs the element. A header row is automatically added.

Method Detail

### getHeader

    public Tr getHeader()

  Returns the header row of the table.